package dossierDesClass;


import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

import javax.swing.JFileChooser;

public class Li_Lisp_FilOnDDwriStrLuOnTabStŋ {				// lit 1 fichier *.lsp sur le disque dur - Écrit la Strin lue dans un tableau des string

	public static String [] tabString = new String [500];	// tabString a 2 inx : afiLigInx en lecture ; tabStrWriInx en écriture
	public static int tabStrWriInx	= 0;					// index pour écrire dans tabString
	public static int afiLigInx		= 0;					// index pour lire dans tabString (et donc aficher les lignes dans StrPane

															// Mind : c'est l'URL globale car path from la racine, qui se trouve aussi en var globale
	public static String sGloUrl_pathFmRootPlusFilNam="/home/jf/défaut_001.lsp"; //20 août 20 je try ceci par défaut pour simplifier le départ du procès à vide


	Li_Lisp_FilOnDDwriStrLuOnTabStŋ() throws IOException {						// constructeur :

		// ce n'est pas dangereux de RAZ 7 inx car c'est 1 index de String, mais pas de Neu
		tabStrWriInx	       = 0;							// RAZ l'index en écriture de tabString pr qu'il pointe sur le prochain à écrire
	} // fin du constructeur	


	//===================================================          fin du constructeur                =========================================	
	//===================================================       début des sous-procédures             =========================================	
	//=================================================== ------------------------------------------- =========================================	

	
	boolean dialogToGetLeFileName_YSet_sGloUrl_pathFmRootPlusFilNam(int indnt) { // début de dialog to get le file name
		JFileChooser fc = new JFileChooser();				//Create a file chooser
		fc.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES); // avec la possibilité de naviguer dans l'arborescence
		
		// juste après la création d'un JFileChooser, 2 lig de code pr init le choix du fichier, merveilleusement efficaces, que j'ai mis bien du temps à trouver
		// public static String strStartWorkingDir; 		// Pour y mettre le répertoire d'où on lance Java ; sert à init les file choosers pour lire / écrire sur le DiskDur
		File workingDirectory = new File (JFMindMap.strStartWorkingDir);// to choose a file fm here instead from the début càd fm the root		
		fc.setCurrentDirectory(workingDirectory);			// préset le FileChooser pour l'ouvrir depuis le répertoire de lancement		

		int returnVal = fc.showOpenDialog(JFMindMap.myDrawPane);
		if (returnVal == JFileChooser.APPROVE_OPTION) {		// si ok sélection d'un fichier à ouvrir
			File file = fc.getSelectedFile();
			sGloUrl_pathFmRootPlusFilNam= file.getPath();
			if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd dialog BAA bonne sélection de l'URL du fichier : sDirName : "  + sGloUrl_pathFmRootPlusFilNam );}
			return true;
		}
		return false;
	}

	
	void vuFailOpen1file_Set_sGloUrl_pathFmRootPlusFilNam() { // c'est une ancienne solution à l'échec de l'ouverture d'un fichier
		String sFileName;
		if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd FailOpen1fil DAA erreur : lors de la sélection de L'URL du fichier");}
		sFileName= "bufFile_000.lsp";				// nom du fichier tampon où sont collectées tt les str qui  les ima à afi
		//sFileName= "bufFile_001.lsp";				// 
		//sFileName= "bufFile_002.lsp";				// 
		//sFileName= "bufFile_003.lsp";				// une grande liste
		//sFileName= "bufFile_004.lsp";				// 
		//sFileName= "bufFile_005.lsp";				// 
		//sFileName= "bufFile_006.lsp";				// file généré ici par save : teste d'une première boucle

		sGloUrl_pathFmRootPlusFilNam= "/home/jf/" + sFileName;
	}				
	
	
	public boolean ifAblOpn7url_pathFmRʊtFilNam_ligÀligLitLeFilOnDDwriStrLuOnTabStŋ()
	{
		if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd ifAblOpn7url GAA");}
		//File pFileALire;							// déclare le pointeur sur le fichier à lire

		boolean résu= true;
		
		//											// début du try Catch			
		try {										//This is where a real application would open the file.
			if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd ifAblOpn7url try l'URL du fichier JAA : sDirName (après): " + sGloUrl_pathFmRootPlusFilNam);}
													// Apparemment lance un procès, qui ne ramène rien : le résu devrait être dans le ctxt global !
			new File(sGloUrl_pathFmRootPlusFilNam);	// d'abord essai sur le Disk Dur de trouver et ouvrir le fichier à lire 			
			 										// on ouvre le fichier en lecture : kind of main program
			{
				if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd ifAblOpn7url tried l'URL du fichier MAA : pFileALire is OK");}	

				ligÀlig_litLeFileOnHardDisk_wriStrLueInTabString(sGloUrl_pathFmRootPlusFilNam); // no comment : explicit
				//onCslPrinLesStringsLues();

				tabString[0]= appendLesStringsLues(); 					// for i de 1 à n fetch les tabString[i] et les concat. le résu est mis in tabString[0]
				//System.out.printf("post append:" + tabString[0]);	// May be c'est ici qu'on comprend why la ligne 0 n'est usée dans les fichiers *.lsp 
																		// Toute une séries de petits traitements qui s'avèrent nécessaires
				tabString[0]= tabString[0].replaceAll("  ", " ");		// ôte les doubles spaces
				//System.out.printf("post remove 2 spaces:" + tabString[0]);

				String cible= ") ";										// ôte les spaces après parFer
				tabString[0]= tabString[0].replace(cible, ")" );			
				tabString[0]= tabString[0].replace(cible, ")" );
				//System.out.printf("post remove ) :" + tabString[0]);

				cible= " (";											// ôte les spaces avant parOuv
				tabString[0]= tabString[0].replace(cible, "(" );			
				tabString[0]= tabString[0].replace(cible, "(" );
				//System.out.printf("post remove: (" + tabString[0]);
			} // fin du else càd kind of main program			
		} // fin du try
		catch (Error e) {
			résu= false;
			if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd ifAblOpn7url PAA" + e + " lors de l'ouverture du fichier : " + sGloUrl_pathFmRootPlusFilNam);}
		} // fin du catch
		// fin du try catch
		
		if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd ifAblOpn7url SAA fin de siTuPeuxOuvrir7_sGloUrl_pathFmRootPlusFilNam_ligÀlig_litLeFileOnHardDisk_wriStrLueInTabString");}
		return résu;
	}


	public void onCslPrinLesStringsLues() {
		for (int i=0; i<tabStrWriInx; i++) {
			System.out.printf(i+")-"+tabString[i]);		// imprime la lecture pour informer			
		}
	}

	public void voirLesCharDe7str(String str){
		for (int i=0; i<str.length(); i++){
			System.out.print  ( str.charAt(i));
			System.out.printf("inx:%d", (int)str.charAt(i));
		}
	}


	public String appendLesStringsLues() {
		int i=0;
		String résu= tabString[i];
		for (i=1; i<tabStrWriInx; i++) {
			résu= résu.concat(tabString[i]);
			//System.out.printf(i+")-"+résu);				// imprime la lecture pour informer
		}
		return résu;
	}


	public void ligÀlig_litLeFileOnHardDisk_wriStrLueInTabString(String sGloUrl_pathFmRootYFilNam)		
	{
		try {
			FileReader FR;
			FR=new FileReader(sGloUrl_pathFmRootYFilNam);// Ouvre un programme, lecteur de fichier			

			BufferedReader bufReader=new BufferedReader(FR);// Ouvre un tampon de lecture

			String strLigLue;								// une str as buffer de lecture

			try {
				do
				{
					strLigLue=bufReader.readLine( );		// lecture de la ligne suivante sur le fichier du DDur	
					if(strLigLue!=null) {					// si on n'a pas fini :
						//System.out.printf("strLueAv: "+strLigLue);		// imprime la lecture pour informer
						strLigLue= strLigLue.replaceAll("  ", " ");
						//System.out.printf("strLueAp: "+strLigLue);		// imprime la lecture pour informer						

						String cible= ") ";
						strLigLue= strLigLue.replace(cible, ")" );			
						strLigLue= strLigLue.replace(cible, ")" );
						//System.out.printf("post remove ) :" + strLigLue);

						cible= " (";
						strLigLue= strLigLue.replace(cible, "(" );			
						strLigLue= strLigLue.replace(cible, "(" );
						//System.out.printf("post remove ( :" + strLigLue);						

						tabString[tabStrWriInx]= strLigLue;	// range la ligne lue dans tabString où l'inx  la next case libre
						
						if (DbugFlg.LiLspFiOnDd) {
							System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD UAA tabStrWriInx :%2d", tabStrWriInx);
							System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD UAAstrLue: "+strLigLue);// imprime la lecture pour informer
						}
						
						tabStrWriInx++;						// inc l'index d'écriture pour pointer sur la next case à écrire
					}
				}
				while(strLigLue != null);					// tant qu'il reste qqchose à lire
			}

			catch (IOException e){
				if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD VAA, erreur d'entée sortie, strLigLue=bufReader.readLine: "+e);}
			}	

			try {bufReader.close();							// libérer l'espace mémoire du buffer
			}
			catch (IOException e){
				if (DbugFlg.LiLspFiOnDd) {System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD WAA, erreur d'entrée sortie, bufReader.close "+e);}
			}	
		} 													// fin du traitement de la ligne lue
		catch (FileNotFoundException e){
			System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD erreur XAA: " + e + " lors de l'ouverture du fichier : " + sGloUrl_pathFmRootYFilNam);
		}

		if (DbugFlg.LiLspFiOnDd) {
			System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD ZAA Fin de la lecture du fichier "+sGloUrl_pathFmRootYFilNam);
			System.out.printf("\nLiLspFiOnDd liÀliLiFilOnDD ZAA tabStrWriInx : " + tabStrWriInx);
		}
	}														// fin du traitement de la lecture
} // fin de la classe	
